Bug 241236 - the display resolution defaults to 96 dpi, not "X server resolution"
the display resolution defaults to 96 dpi, not "X server resolution"
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-24 11:31 EDT by Stepan Kasal
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-07 13:27:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 83060 None None None Never

  None (edit)
Description Stepan Kasal 2007-05-24 11:31:13 EDT
The default resolution in Firefox is 96 dpi; the real resolution, which the X
server knows from the monitor, is ignored.

The problem is also discussed upstream, see
https://bugzilla.mozilla.org/show_bug.cgi?id=83060

The obvious symptom is that the fonts are too small.
But on Fedora, more comlicated problems can appear, when the resolution used by
pango does not match the resolution used by firefox; see, for example, bug #240959.
Comment 1 Stepan Kasal 2007-05-24 12:07:54 EDT
We are speaking about variable browser.display.screen_resolution.
Comment 2 Stepan Kasal 2007-05-28 11:44:26 EDT
I have added a long explanation to the upstream bug, see
https://bugzilla.mozilla.org/show_bug.cgi?id=83060#c21
Comment 3 Stepan Kasal 2007-05-28 13:09:34 EDT
According to
https://bugzilla.mozilla.org/show_bug.cgi?id=83060#c22
the bug is fixed upstream.

So it is important to mention that I observed the bug with firefox-1.5.0.10-6.fc6.
Comment 4 Felix Miata 2007-05-28 15:52:45 EDT
     browser.display.screen_resolution
was replaced by
     layout.css.dpi
upstream 15 months ago
https://bugzilla.mozilla.org/show_bug.cgi?id=327406
for Firefox 2 (Gecko 1.8.1) and newer, but not Firefox 1.5.x. Support for the
1.5 branch of Firefox is within hours of being terminated. Please upgrade to
Firefox 2 if you find FF 1.5.x behavior unacceptable.
Comment 5 Matěj Cepl 2007-05-30 04:51:10 EDT
(In reply to comment #4)
> Support for the 1.5 branch of Firefox is within hours of being terminated.
> Please upgrade to Firefox 2 if you find FF 1.5.x behavior unacceptable.

Bad answer, sorry to say that. a) it's hard to upgrade to Firefox 2 when he is
on FC6 and he doesn't want outside-of-official-repo packages, b) don't spread
inacurrate statements -- FF 1.5.* will be supported in Red Hat for a long time
(it is in RHEL5, at least) and FC6 will be supported for many months to come.
Comment 6 Christopher Aillon 2007-05-30 09:20:00 EDT
Yes, he just was copying what upstream said.  We should see how difficult it is
to backport this to 1.5.  This might be WONTFIX, though depending on it. 
Upgrading to FC7 after it's release is probably the best solution.
Comment 7 Matěj Cepl 2007-12-10 04:23:47 EST
Fedora Core 6 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora 7, 8, or
Rawhide)? If this issue turns out to still be reproducible, please let us know
in this bug report. If after a month's time we have not heard back from you, we
will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

[This is mass-filed message to all open Fedora Core 6 bugs related to Xorg or
Gecko. If you see any other reason, why this bug shouldn't be closed, please,
comment on it here.]
Comment 8 Matěj Cepl 2008-02-07 13:27:07 EST
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional
information.

Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.